|  | Home · All Classes · All Functions · Overviews

# Qt 3 Support Members for QDoubleValidator

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QDoubleValidator class reference

## Public Functions

| QDoubleValidator ( QObject * parent, const char * name )
| QDoubleValidator ( double bottom, double top, int decimals, QObject * parent, const char * name )

- 8 public functions inherited from QObject

## Member Function Documentation

### QDoubleValidator::QDoubleValidator ( QObject * parent, const char * name )

Constructs a validator object with a parent object and a name that accepts any double.

### QDoubleValidator::QDoubleValidator ( double bottom, double top, int decimals, QObject * parent, const char * name )

Constructs a validator object with a parent object, called name. This validator will accept doubles from bottom to top inclusive, with up to decimals digits after the decimal point.